package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.math.BigDecimal;

/**
 * 交易项目对象 t_transaction_project
 * 
 * @author zehong
 * @date 2023-06-06
 */
public class TTransactionProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 交易项目主键id */
    private Long transactionProjectId;

    /** 交易项目名称 */
    @Excel(name = "交易项目名称")
    private String transactionProjectName;

    /** 职责项明细说明 */
    @Excel(name = "职责项明细说明")
    private String dutyDetailDescribe;

    /** 工作结果的形式 */
    @Excel(name = "工作结果的形式")
    private String workResultStyle;

    /** 工作结果的时量/数量标准与交付方式/地址 */
    @Excel(name = "工作结果的时量/数量标准与交付方式/地址")
    private String workResultDetail;

    /** 工作结果的质量验收标准与方式 */
    @Excel(name = "工作结果的质量验收标准与方式")
    private String workResultMethod;

    /** 职责定价与支付时间和方式 */
    @Excel(name = "职责定价与支付时间和方式")
    private String dutyMethod;

    /** 定价类型：1.单价 2.议价 */
    @Excel(name = "定价类型：1定价 2议价")
    private String priceType;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 部门 */
    @Excel(name = "部门编号")
    private Long deptId;

    @Excel(name = "单位")
    private String unit;

    /**部门名称*/
    private String deptName;

    /** 是否删除：0否，1是 */
    private String isDel;

    public void setTransactionProjectId(Long transactionProjectId) 
    {
        this.transactionProjectId = transactionProjectId;
    }

    public Long getTransactionProjectId() 
    {
        return transactionProjectId;
    }
    public void setTransactionProjectName(String transactionProjectName) 
    {
        this.transactionProjectName = transactionProjectName;
    }

    public String getTransactionProjectName() 
    {
        return transactionProjectName;
    }
    public void setDutyDetailDescribe(String dutyDetailDescribe)
    {
        this.dutyDetailDescribe = dutyDetailDescribe;
    }

    public String getDutyDetailDescribe()
    {
        return dutyDetailDescribe;
    }
    public void setWorkResultStyle(String workResultStyle)
    {
        this.workResultStyle = workResultStyle;
    }

    public String getWorkResultStyle()
    {
        return workResultStyle;
    }
    public void setWorkResultDetail(String workResultDetail)
    {
        this.workResultDetail = workResultDetail;
    }

    public String getWorkResultDetail()
    {
        return workResultDetail;
    }
    public void setWorkResultMethod(String workResultMethod)
    {
        this.workResultMethod = workResultMethod;
    }

    public String getWorkResultMethod()
    {
        return workResultMethod;
    }
    public void setDutyMethod(String dutyMethod)
    {
        this.dutyMethod = dutyMethod;
    }

    public String getDutyMethod()
    {
        return dutyMethod;
    }
    public void setPriceType(String priceType) 
    {
        this.priceType = priceType;
    }

    public String getPriceType() 
    {
        return priceType;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getIsDel()
    {
        return isDel;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("transactionProjectId", getTransactionProjectId())
            .append("transactionProjectName", getTransactionProjectName())
            .append("dutyDetailDescribe", getDutyDetailDescribe())
            .append("workResultStyle", getWorkResultStyle())
            .append("workResultDetail", getWorkResultDetail())
            .append("workResultMethod", getWorkResultMethod())
            .append("dutyMethod", getDutyMethod())
            .append("priceType", getPriceType())
            .append("price", getPrice())
            .append("deptId", getDeptId())
            .append("unit", getUnit())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("remark", getRemark())
            .toString();
    }
}
